[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFish.Decrypt

Decrypt a block

## Declaration

Source position: blowfish.pp line 44

`public procedure TBlowFish.Decrypt(`
`var Block: TBFBlock`
`);`

## Arguments

`Block` |  | Encrypted data to decrypt

## Description

ncrypt decrypts the data in Block (always 8 bytes) using the key specified when the TBlowFish instance was created. The data must have been encrypted with the same key and the Encrypt call.

## See also

TBlowFishKey |  | Array to hold blowfish encryption keys
Encrypt |  | Encrypt a block
Create |  | Create a new instance of the TBlowFish class

Documentation generated on: Feb 26 2014